<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Bài tập JS tổng hợp</title>
    <!-- <link rel="shortcut icon" type="image/x-icon" href="./img/download.png" /> -->
    <link
      href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css"
      rel="stylesheet"
      integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC"
      crossorigin="anonymous"
    />

    <!-- <link rel="stylesheet" href="https://cdn.jsdelivr.net/gh/khloe1425/baitapmang@master/css/style.min.css"> -->
    <link rel="stylesheet" href="./css/style.min.css" />
  </head>

  <body>
    <div class="container py-5">
      <div class="card w-75 mx-auto">
        <h1>Bài tập JS TỔNG HỢP</h1>
        <div class="bg-holder d-none d-lg-block bg-card"></div>
        <div class="card-body position-relative p-0">
          <div class="row p-0">
            <div
              class="col-12 col-md-8 col-lg-9 col-xl-10 tab-content mx-auto"
              id="v-pills-tabContent"
            >
              <div
                class="tab-pane fade show active"
                id="bai1"
                role="tabpanel"
                aria-labelledby="v-pills-home-tab"
              >
                <div class="accordion" id="accordionExample">
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingOne">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseOne"
                        aria-expanded="false"
                        aria-controls="collapseOne"
                      >
                        1️⃣ Bài 1
                      </button>
                    </h2>
                    <div
                      id="collapseOne"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingOne"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12">
                            <h3>In một bảng số từ 1-100 thỏa mãn điều kiện:</h3>
                            <p>
                              • Bảng số gồm 10 hàng và 10 cột <br />• Các giá
                              trị trong hàng là liên tiếp nhau <br />• Các giá
                              trị trong cột hơn kém nhau 10
                            </p>

                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              id="scanTable-bai1"
                            >
                              In bảng
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉
                            <table id="result-bai1" class="w-50"></table>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseTwo"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        2️⃣ Bài 2
                      </button>
                    </h2>
                    <div
                      id="collapseTwo"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12">
                            <h3>
                             Nhập vào tham số là một mảng số
                              nguyên, tìm và in ra các số nguyên tố trong mảng
                            </h3>

                            <input
                              type="text"
                              class="form-control"
                              id="inputNum-bai2"
                              placeholder="Nhập vào mảng "
                            />
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              id="btn-themso-bai2"
                            >
                              Thêm số
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉
                            <table
                              id="result-inputNum-bai2"
                              class="w-50"
                            ></table>
                          </div>
                          <button
                            class="btn btn--primary me-1 mb-1"
                            type="button"
                            id="inSoNguyenTo-bai2"
                          >
                            In Số Nguyên Tố
                          </button>
                          <div class="alert alert-success" role="alert">
                            👉
                            <table
                              id="result-songuyento-bai2"
                              class="w-50"
                            ></table>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseThree"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        3️⃣ Bài 3
                      </button>
                    </h2>
                    <div
                      id="collapseThree"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12">
                            <h3>
                              Nhập vào tham số n, tính
                              S=(2+3+4...+n)+2n
                            </h3>
                            <input
                              type="text"
                              class="form-control"
                              id="inputNum-bai3"
                              placeholder="Nhập số "
                            />
                            <p id="baoloi" class="text-danger"></p>

                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              id="btn-bai3"
                            >
                              Tính tổng S
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="result-bai3"></span>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseFour"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        4️⃣ Bài 4
                      </button>
                    </h2>
                    <div
                      id="collapseFour"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12">
                            <h3>
                              Nhập vào tham số n, tính số lượng
                              ước số của n. Vd: n = 8 => Ước số của 8 là :
                              8,4,2,1
                            </h3>
                            <input
                              type="text"
                              class="form-control"
                              id="inputNum-bai4"
                              placeholder="Nhập số "
                            />
                            <p id="baoloi-bai4" class="text-danger"></p>
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              id="totalResult"
                            >
                              Tính tổng ước số
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="result-bai4"></span>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseFive"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        5️⃣ Bài 5
                      </button>
                    </h2>
                    <div
                      id="collapseFive"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12">
                            <h3>
                              Viết chương trình tìm số đảo ngược của 1 số nguyên
                              dương n nhập từ bàn phím.Vd :1234 => 4321
                            </h3>
                            <input
                              type="text"
                              class="form-control"
                              id="inputNum-bai5"
                              placeholder="Nhập số "
                            />
                            <p id="baoloi-bai5" class="text-danger"></p>
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              id="btn-result-bai5"
                            >
                              Đảo ngược n
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="result-bai5"></span>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseSix"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        6️⃣ Bài 6
                      </button>
                    </h2>
                    <div
                      id="collapseSix"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12">
                            <h3>
                              Tìm x nguyên dương lớn nhất, biết 1+2+3+...+x ≤n
                            </h3>
                            <input
                              type="text"
                              class="form-control"
                              id="inputNum-bai6"
                              placeholder="Nhập số "
                            />
                            <p id="baoloi-bai6" class="text-danger"></p>
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              id="btn-result-bai6"
                            >
                              Tìm X
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="result-bai6"></span>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseSev"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        7️⃣ Bài 7
                      </button>
                    </h2>
                    <div
                      id="collapseSev"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <form class="row gy-3 align-items-center px-2">
                          <div class="col-12">
                            <h3>
                              Nhận vào số n, in ra bảng cửu chương tương ứng với
                              số đó.
                            </h3>
                            <input
                              type="text"
                              class="form-control"
                              id="inputNum-bai7"
                              placeholder="Nhập số "
                            />
                            <p id="baoloi-bai7" class="text-danger"></p>
                            <button
                              class="btn btn--primary me-1 mb-1"
                              type="button"
                              id="btn-result-bai7"
                            >
                              In bảng cửu chương của N
                            </button>
                          </div>
                          <div class="alert alert-success" role="alert">
                            👉<span id="result-bai7"></span>
                          </div>
                        </form>
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseE"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        8️⃣ Bài 8
                      </button>
                    </h2>
                    <div
                      id="collapseE"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">
                        <!-- <form class="row gy-3 align-items-center px-2"> -->
                            <h3 class="fs-5 fw-normal">
                                <p class="fs-4 fw-semibold mb-2">
                                  Viết hàm chia bài cho 4 người chơi:<br>
                                  Game bài CHÍN CHÍN CHÍN
                                </p>
                                Cho 4 mảng, đại diện cho 4 người chơi<br />
                                Bộ bài:["4K", "KH", "5C", "KA", "QH",
                                "KD", "2H", "10S", "AS", "7H", "9K", "10D"]<br />
                                Mỗi player 3 lá theo luật, chia
                                lần lượt mỗi người 1 lá<br />
                                Kết quả :<br />
                                 player1 = ["4K","QH","AS"];<br />
                                 player2 = ["KH", "KD","7H"];<br />
                                 player3 = ["5C","2H","9K"];<br />
                                 player4 = ["KA","10S","10D"];
                              </h3>
                              <button id="bai8-chiaBai" class="btn btn-primary mb-3 me-2">
                                Chia Bài
                              </button>
                              <button id="bai8-xaoBai" class="btn btn-secondary mb-3">
                                Reset
                              </button>
                              <div id="result-bai8" class="fs-4">
                                <p>
                                  Bộ bài: [
                                  <span id="bai8-cards"
                                    >
                                    Đố biết
                                    <!-- 4K, KH, 5C, KA, QH, KD, 2H, 10S, AS, 7H, 9K, 10D -->
                                    </span
                                  >
                                  ]
                                </p>
                                <p id="baoloi-bai8" class="text-danger fs-5"></p>
                                <p>Player 1: [ <span id="bai8-player1"></span> ]</p>
                                <p>Player 2: [ <span id="bai8-player2"></span> ]</p>
                                <p>Player 3: [ <span id="bai8-player3"></span> ]</p>
                                <p>Player 4: [ <span id="bai8-player4"></span> ]</p>
                              </div>
                            </div>
                        <!-- </form> -->
                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseNine"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        9️⃣ Bài 9
                      </button>
                    </h2>
                    <div
                      id="collapseNine"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">

                            <h3 class="fs-5 fw-normal mb-3">
                                <p class="fs-4 fw-semibold mb-2">
                                  Vừa gà vừa chó, bó lại cho tròn, 36 con, 100 chân chẵn
                                </p>
                                Một câu đố dân gian nổi tiếng chắc hẳn tất cả các bạn đều
                                biết. Và bạn có thể cũng đã biết đáp án của câu đố trên là 22
                                con gà và 14 con chó. Tuy nhiên, thầy giáo của Hiếu lại bắt
                                anh ấy phải giải bài tập tổng quát: "Tìm số gà, số chó khi số
                                tổng số con là m và tổng số chân là n". Bạn hãy giúp Hiếu giải
                                bài toán này nhé.
                              </h3>
                              <div class="ex09__input row mb-3">
                                <div class="ex09__input1 col-6">
                                  <div class="input-group mb-2">
                                    <span class="input-group-text" id="basic-addon1"
                                      >Số con (m)</span
                                    >
                                    <input
                                      type="text"
                                      id="txt-bai9-soCon"
                                      class="form-control"
                                      placeholder="Nhập số con"
                                      aria-describedby="basic-addon1"
                                    />
                                  </div>
                                  <p id="baoloi-bai9-soCon" class="text-danger fs-5"></p>
                                </div>
                                <div class="col-6">
                                  <div class="input-group mb-2">
                                    <span class="input-group-text"
                                      >Số chân (n)</span
                                    >
                                    <input
                                      type="text"
                                      id="txt-bai9-soChan"
                                      class="form-control"
                                      placeholder="Nhập số chân"
                                      aria-describedby="basic-addon2"
                                    />
                                  </div>
                                  <p id="baoloi-bai9-soChan" class="text-danger fs-5"></p>
                                </div>
                              </div>
                              <button id="bai9-timChoGa" class="btn btn-primary mb-3">
                                Ối giời ơi!Chó và Gà Nhà Tôi Đâu Rồi!
                              </button>
                              <div class="bai9-result fs-4">
                                <p id="bai9-result-soCho"></p>
                                <p id="bai9-result-soGa"></p>
                              </div>

                      </div>
                    </div>
                  </div>
                  <div class="accordion-item">
                    <h2 class="accordion-header" id="headingTwo">
                      <button
                        class="accordion-button collapsed"
                        type="button"
                        data-bs-toggle="collapse"
                        data-bs-target="#collapseTen"
                        aria-expanded="false"
                        aria-controls="collapseTwo"
                      >
                        🔟 Bài 10
                      </button>
                    </h2>
                    <div
                      id="collapseTen"
                      class="accordion-collapse collapse"
                      aria-labelledby="headingTwo"
                      data-bs-parent="#accordionExample"
                    >
                      <div class="accordion-body">

                            <h3 class="mb-3">
                                Tính góc lệch giữa kim giờ và kim phút là bao nhiêu
                              </h3>
                              <div class="row mb-3">
                                <div class="col-6">
                                  <div class="input-group mb-2">
                                    <span class="input-group-text" 
                                      >Giờ</span
                                    >
                                    <input
                                      type="text"
                                      id="txt-bai10-hours"
                                      class="form-control"
                                      placeholder="Kim giờ chỉ số"

                                    />
                                  </div>
                                  <p id="baoloi-bai10-hours" class="text-danger fs-5"></p>
                                </div>
                                <div class=" col-6">
                                  <div class="input-group mb-2">
                                    <span class="input-group-text" 
                                      >Phút</span
                                    >
                                    <input
                                      type="text"
                                      id="txt-bai10-minutes"
                                      class="form-control"
                                      placeholder="Kim phút chỉ số"

                                    />
                                  </div>
                                  <p id="baoloi-bai10-minutes" class="text-danger fs-5"></p>
                                </div>
                              </div>
                              <button id="bai10-tinhGoc" class="btn btn-primary mb-3 align-center">
                                Tính góc
                              </button>
                              <div id="bai10-result" class="fs-4"></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>

    <script
      src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js"
      integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM"
      crossorigin="anonymous"
    ></script>

    <script src="./index.js"></script>
  </body>
</html>
